"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic3' }"

LibraryDefinition subclass:#stx_libbasic3
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libbasic3 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libbasic3.
    This library contains source-code-management, packaging and history related stuff.
"
!

extensionsVersion_CVS
    ^ '$Header: /cvs/stx/stx/libbasic3/stx_libbasic3.st,v 1.62 2011-12-22 13:06:40 cg Exp $'
! !

!stx_libbasic3 class methodsFor:'description'!

excludedFromPreRequisites
    ^ #(
        #'stx:goodies/refactoryBrowser/parser'    "ParseTreeSearcher - referenced by HTMLDocGenerator>>methodCommentOf: "
        #'stx:goodies/webServer'    "HTTPRequest - referenced by HTMLDocGenerator>>generateClassDocReferenceFor:text:autoloading: "
        #'stx:goodies/xml/vw'    "XML::SourceScannerNodeBuilder - referenced by ChangeSet class>>fromXMLStream: "
        #'stx:libcomp'    "Parser - referenced by MessageTracer class>>wrapClass:selector:onEntry:onExit: "
        #'stx:libcompat'    "SystemWindow - referenced by MethodFinder class>>methodFor: "
        #'stx:libdb'    "SQL::SQLError - referenced by StoreSourceCodeManager class>>connectToDatabase "
        #'stx:libtool'    "Diff3TextView - referenced by CVSSourceCodeManager class>>checkin:text:directory:module:logMessage:force: "
        #'stx:libview'    "Color - referenced by CVSSourceCodeManager class>>checkin:text:directory:module:logMessage:force: "
        #'stx:libview2'    "ValueHolder - referenced by MessageTracer class>>trapModificationsIn:selectors:filter: "
        #'stx:libwidg'    "DialogBox - referenced by SourceCodeManagerUtilities class>>askForExistingRevision:title:class:manager:module:package:fileName: "
        #'stx:libwidg2'    "CheckBox - referenced by SourceCodeManagerUtilities class>>checkAndWarnAboutBadMessagesInClass:checkAgainHolder: "
    )
!

preRequisites
    ^ #(
        #'stx:libbasic'    "Notification - superclass of ClassRemoveChange::ClassBeingRemovedQuery "
        #'stx:libbasic2'    "HTMLUtilities - referenced by HTMLDocGenerator>>generatePackageDocReferenceFor:text: "
    )
! !

!stx_libbasic3 class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBBASIC3_BASE
LIB_BASE=$(LIBBASIC3_BASE)
'
! !

!stx_libbasic3 class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        AbstractSourceCodeManager
        CallChain
        Change
        ChangeSet
        ClassOrganizer
        HTMLDocGenerator
        HistoryManager
        MessageTally
        MessageTracer
        MethodFinder
        ProfileTree
        SourceCodeManagerError
        SourceCodeManagerUtilities
        SystemOrganizer
        VersionInfo
        WrappedMethod
        #'stx_libbasic3'
        CVSSourceCodeManager
        CVSVersionInfo
        ClassChange
        CompositeChange
        DoItChange
        FileInChange
        NameSpaceCreationChange
        OtherChange
        StoreSourceCodeManager
        ClassCategoryChange
        ClassClassVariableChange
        ClassCommentChange
        ClassDefinitionChange
        ClassInstVarDefinitionChange
        ClassOtherChange
        ClassPrimitiveChange
        ClassRemoveChange
        ClassRenameChange
        MethodCategoryRenameChange
        MethodChange
        TimestampChange
        ClassPrimitiveDefinitionsChange
        ClassPrimitiveFunctionsChange
        ClassPrimitiveVariablesChange
        MethodCategoryChange
        MethodDefinitionChange
        MethodPackageChange
        MethodPrivacyChange
        MethodRemoveChange
        ChangeNotificationParameter
        MethodChangeNotificationParameter
        MethodRemoveChangeNotificationParameter
        MethodCategoryChangeNotificationParameter
        MethodTrapChangeNotificationParameter
        TraceBuffer
        PerforceSourceCodeManager
        ChangeSetDiffComponent
        ChangeSetDiff
        ChangeSetDiffSet
        ChangeSetDiffEntry
        ChangeDeltaInformation
        SVNVersionInfo
        SourceCodeCache
        FileBasedSourceCodeManager
        DataBaseSourceCodeManager
    )
!

extensionMethodNames
    ^ #(
        UserPreferences historyManagerModificationLimit
        UserPreferences historyManagerModificationLimit:
        UserPreferences historyManagerSignature
        UserPreferences historyManagerSignature:
        UserPreferences historyManagerSignatures
        UserPreferences historyManagerSignatures:
    )
! !

!stx_libbasic3 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Additional Developer Basic Classes'

    "Modified: / 14-09-2006 / 10:57:32 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2011\nCopyright eXept Software AG 1998-2011'

    "Modified: / 01-02-2011 / 11:55:43 / cg"
! !

!stx_libbasic3 class methodsFor:'description - svn'!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'exported'"$"
! !

!stx_libbasic3 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/stx_libbasic3.st,v 1.62 2011-12-22 13:06:40 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic3/stx_libbasic3.st,v 1.62 2011-12-22 13:06:40 cg Exp $'
!

version_SVN
    ^ ' Id: stx_libbasic3.st 1867 2011-06-08 21:57:08Z vranyj1  '
! !
